Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

After updating to linux 3.10 my GPU stopped working, it is a EVGA NVIDIA geforce 650. So I went about to purge nvidia and reinstall, did not work. The first time I installed it worked the flawlessly. This is what happens, when i go to "Additional Drivers" > Activate > NVIDIA binary Xorgdriver, kernal, module and VDPAU library, I get the following error:

Sorry installation of this driver failed. Please have a look at the log file for details: /var/log/jockey.log`. 

So I did the troubleshoot for that and still did not work.

Then, I went to the NVIDIA X Server Settings and got this error:

You do not appear to be using the NVIDIA X driver. Please edit your X configuration file (just run 'nvidia-xconfi' as root)`

I did that and I get the usual New X config file written to 'etc/X11/xorg.conf. That still does not work. I purged nVidia again. I downloaded it again via nVidia's website and booted to CMD to do a manual install, but when it won't boot to CMD it is just a black screen and nothing shows up.

I am new to Ubuntu so please go easy on me, I have a bunch of CS projects I have to finish for school so time is of the essence. (I don't know if this will help but I had issues installing JDK, it still does not compile correctly as well as RSA and SSH and GIT. so I don't know if I screwed up big time on the Kernel update).

share|improve this question
    
Did you run modprobe nvidia? –  Danatela Jul 10 '13 at 2:00
    
No I didn't, I will try that out and report back,thank you for the reply! –  octain Jul 10 '13 at 4:14
    
Which Ubuntu version? (12.04, 13.04, etc.) 32 or 64 bit? –  david6 Jul 10 '13 at 8:21
    
Sorry i should have elaborated on that, it is 12.04 lts –  octain Jul 10 '13 at 16:29
1  
I am not sure what the issue was,but I completely wiped all of nvidia off my HHD and installed everything on my SSD, worked first time around –  octain Jul 12 '13 at 1:43

2 Answers 2

up vote 0 down vote accepted

None of the nvidia drivers are currently compatible with kernel 3.10. There are some patches floating around however I would wait for the official NVidia update. Go back to kernel 3.9 or earlier for the moment.

share|improve this answer
    
Thank you, that is exactly what I did and it fixed the issue –  octain Aug 12 '13 at 22:46

I had to fall back to my 3.9.3 kernel because of the same error in all of my 3.10.

If you notice the error log: test -e include/generated/autoconf.h -a -e include/config/auto.conf || ( \ echo >&2; \ echo >&2 " ERROR: Kernel configuration is invalid."; \ echo >&2 " include/generated/autoconf.h or include/config/auto.conf are missing.";\ echo >&2 " Run 'make oldconfig && make prepare' on kernel src to fix it."; \ echo >&2 ;

Doing what it says to do was no help for me. The driver would not install. I've tried old drivers and beta. No luck.

I checked in the /lib/modules//include/config and there was a missing file - autoconf.h and/or auto.conf

If I were to guess, the new kernel broke it and nVidia hasn't produced a fix yet... or the other way around. If I figure out how to fix 3.10 + nvidia driver, I'll post here!

UPDATE: Just to confirm, I am using the 3.9.11 Kernel and the nvidia 319.32 drivers installed perfectly. So apparently, the 3.10.x -does- have some issues that break the nvidia drivers.

share|improve this answer

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.